Name:		wxcam
Version:	1.1
Release:	%mkrel 8
License:	GPLv2+
Group:		Video/Utilities
Summary:	Webcam application
URL:		http://wxcam.sourceforge.net
Source0:	http://downloads.sourceforge.net/wxcam/%{name}-%{version}.tar.bz2
Source1:	ru.po
Source2:	zh_TW.po
Patch0:		%{name}-1.1-fix-link.patch
Patch1:		%{name}-%{version}-automake-1.13.patch
Patch2:		%{name}-%{version}-mga-desktop-file.patch
Patch3:		%{name}-%{version}-mga-no-Desktop.patch
Patch4:		%{name}-%{version}-suse-fix-no-return-in-nonvoid-function.patch
Patch5:		%{name}-%{version}-mga-window-size.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(mjpegtools)
BuildRequires:	pkgconfig(x11)
BuildRequires:	xvid-devel
BuildRequires:	libv4l-devel
BuildRequires:	cimg-devel
BuildRequires:	intltool
BuildRequires:	wxgtku2.8-devel
BuildRequires:	gettext-devel

%description
wxCam is a webcam application which supports video recording in an avi
uncompressed and Xvid format, snapshot taking, and some special
commands for philips webcams, so you can also use the program for
astronomy purposes.
It should work on a very large number of devices.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

cp -f %{SOURCE1} ./po/
cp -f %{SOURCE2} ./po/
printf "ru\nzh_TW\n" >> ./po/LINGUAS

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std wxcamdocdir=%{_docdir}/%{name}
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Jan 18 2015 alexl <alexl> 1.1-8.mga5
+ Revision: 811347
- fixed license tag
- added Russian and Chinese (traditional) translations from upstream
- updated desktop file and added translations for GenericName and Comment
- deleted "Desktop" directory in paths, because it's not OK for non-English
- fixed no return in nonvoid function
- increased window's size for long translated strings
- better installation for docs
- cleanup spec

* Wed Oct 15 2014 umeabot <umeabot> 1.1-7.mga5.tainted
+ Revision: 742654
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-6.mga5.tainted
+ Revision: 690381
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.1-5.mga4.tainted
+ Revision: 548289
- Mageia 4 rebuild

* Mon Jan 14 2013 fwang <fwang> 1.1-4.mga3.tainted
+ Revision: 386394
- add br
- add br
- cleanup patches

* Mon Jan 14 2013 fwang <fwang> 1.1-3.mga3.tainted
+ Revision: 385965
- fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 dams <dams> 1.1-2.mga3.tainted
+ Revision: 327843
- update %%group

* Sun Jul 15 2012 dams <dams> 1.1-1.mga3.tainted
+ Revision: 271012
- add 'gettext-devel' as a 'BuildRequires' (thanks to blino)
- add a patch to fix link (for 32-bit build)
- imported package wxcam

